# Config UI

a web app to edit and action on update

```
Usage: configui [options]
  -bind string
        address to bind (default "localhost:8000")
  -c string
        cmd to apply
  -f string
        path to config file
  -log string
        log to file
  -n string
        alias of file
  -p string
        path to file, precedence over config
  -v    show version
```

## Config

```json
[
	{
		"path": "configui.log",
		"ro": true
	},
	{
		"path": "etc/test.ini",
		"name": "test",
		"action": "myip local -P"
	}
]
```

`configui -f PATH/TO/CONFIG`

## Api

### Files

`GET /api/files`

res:
```json
{
  "test": {
    "path": "test",
    "name": "test",
    "action": "myip local -P",
    "data": ""
  }
}
```

### File

`GET /api/file?name=ALIAS`

res:
```json
{
  "action": "myip local -P",
  "data": "test",
  "name": "test",
  "path": "test"
}
```

### Update

`POST /api/file`

req:
```json
{
  "data": "test",
  "name": "test",
}
```

### Apply

`POST /api/apply?name=ALIAS`
